﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Editor.Project;
using UseCaseTool.Controls;

namespace UseCaseTool.Forms
{
    public partial class AssignActorForm : Form
    {
        private Actor actor;

        public Actor Actor
        {
            get { return actor; }
        }

        public AssignActorForm()
        {
            actor = null;

            InitializeComponent();
        }

        public AssignActorForm( UseCaseModel model )
        {
            InitializeComponent();

            actorsLB.ProjectItem = model;
        }

        private void confirmBN_Click(object sender, EventArgs e)
        {
            if( actorsLB.SelectedIndex < 0 ) return;

            actor = (actorsLB.SelectedItem as ListBoxProjectItem).ProjectItem as Actor;

            DialogResult = DialogResult.OK;
        }
    }
}
