﻿using System;

namespace Editor.Numbering
{
    public interface INumbered
    {
        string CurrentNumber { get; }
        bool EqualNumberIndent { get; }
        bool LevelChanging { get; }
        string LongestNumber { get; }
        INumbering Numbering { get; }
        short NumberingStyle { get; }

        event EventHandler NumberingChanged;
    }
}
