﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace Editor.Project
{
    public sealed class SpecialStep : INotifyPropertyChanged
    {
        private string name;

        public string Name
        {
            get { return name; }
            set 
            { 
                name = value;
                                
                if( PropertyChanged != null )
                    PropertyChanged( this, new PropertyChangedEventArgs("Name") );
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public SpecialStep( string name )
        {
            this.name = name;
        }

        public override string ToString()
        {
            return name;
        }
    }
}
