﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using Editor.Document;

namespace Editor.View
{
    public interface IViewRow
    {
        IDocumentRow DocumentRow { get; }
        int Height { get; }
        int TextIndent { get; }
        int Offset { get; set; }
        IView View { get; }

        void Draw();
        int GetSelectionIndex( int x, int y );
        void PlaceCaret( int index, int y, int correction );
        void Prepare();
    }
}
