﻿using System;
using System.Collections.Generic;
using System.Text;
using Editor.Document;
using Editor.Document.UseCase;

namespace UseCaseTool.Controls
{
    public sealed class SectionsListBox : RowsListBox
    {
        public SectionsListBox() : base( null ) { }

        protected override bool ApplyFilter( IDocumentRow documentRow )
        {
            if( documentRow is DocumentSection || documentRow is Flow ) return true;

            return false;
        }
    }
}
